package testthreadid.handlers;

import java.util.concurrent.Executor;

import org.eclipse.cdt.dsf.concurrent.DataRequestMonitor;
import org.eclipse.cdt.dsf.concurrent.RequestMonitor;
import org.eclipse.cdt.dsf.debug.service.IProcesses.IThreadDMData;


public class ThreadDMDataRequestMonitor extends DataRequestMonitor<IThreadDMData>{

	public ThreadDMDataRequestMonitor(Executor executor, RequestMonitor parentRequestMonitor) {
		super(executor, parentRequestMonitor);

	}
	
	@Override
	protected void handleSuccess() {
		IThreadDMData threadDMData =  getData();		
		final String threadID = threadDMData.getId();
		System.out.println("ThreadDMDataRequestMonitor Sunccess ! Thread ID is " + threadID);
	}
	
	@Override
	protected void handleFailure() {
		System.out.println("ThreadDMDataRequestMonitor Failure !");
	}	

}
